« Up

zorns-lemma 8.6.0 Lint error

(2019-04-07 14:40:39 UTC)

Context

# Installed packages for system:
base-bigarray   base  Bigarray library distributed with the OCaml compiler
base-num        base  Num library distributed with the OCaml compiler
base-threads    base  Threads library distributed with the OCaml compiler
base-unix       base  Unix library distributed with the OCaml compiler
camlp5          7.06  Preprocessor-pretty-printer of OCaml
conf-m4            1  Virtual package relying on m4
coq            8.6.1  Formal proof management system.
num                0  The Num library for arbitrary-precision integer and ration
ocamlfind      1.8.0  A library manager for OCaml
# opam file:
opam-version: "2.0"
maintainer: "Hugo.Herbelin@inria.fr"
homepage: "https://github.com/coq-contribs/zorns-lemma"
license: "LGPL"
build: [make "-j%{jobs}%"]
install: [make "install"]
remove: ["rm" "-R" "%{lib}%/coq/user-contrib/ZornsLemma"]
depends: [
  "ocaml"
  "coq" {>= "8.6" & < "8.7~"}
]
tags: [ "keyword: set theory" "keyword: cardinals" "keyword: ordinals" "keyword: finite" "keyword: countable" "keyword: quotients" "keyword: well orders" "keyword: Zorn's lemma" "category: Mathematics/Logic/Set theory" ]
authors: [ "Daniel Schepler <dschepler@gmail.com>" ]
bug-reports: "https://github.com/coq-contribs/zorns-lemma/issues"
dev-repo: "git+https://github.com/coq-contribs/zorns-lemma.git"
synopsis: "Zorn's Lemma"
description:
  "This library develops some basic set theory. The main purpose I had in writing it was as support for the Topology library."
flags: light-uninstall
url {
  src: "https://github.com/coq-contribs/zorns-lemma/archive/v8.6.0.tar.gz"
  checksum: "md5=7086040ceb7b8acf325f5676a1e6483d"
}

Lint

Command
ruby lint.rb released opam-coq-archive/released/packages/coq-zorns-lemma/coq-zorns-lemma.8.6.0
Return code
256
Output
lint.rb:11:in `read': No such file or directory @ rb_sysopen - opam-coq-archive/released/packages/coq-zorns-lemma/coq-zorns-lemma.8.6.0/descr (Errno::ENOENT)
	from lint.rb:11:in `lint'
	from lint.rb:52:in `<main>'

Dry install

Dry install with the current Coq version:

Command
true
Return code
0

Dry install without Coq/switch base, to test if the problem was incompatibility with the current Coq/OCaml version:

Command
true
Return code
0

Install dependencies

Command
true
Return code
0
Duration
0 s

Install

Command
true
Return code
0
Duration
0 s

Installation size

No files were installed.

Uninstall

Command
true
Return code
0
Missing removes
none
Wrong removes
none